/* Typographic rules based on Owen Briggs code and tips */
/* @see http://www.thenoodleincident.com/tutorials/box_lesson/font/index.html */
/* layout:footer */
#bottom {
	text-align: center;
	width: 100%;
	margin-top : 1em;
}

#partnerLogo {
	float:right;
	right:0px;
}

.copyright {
	font-size:82%;
}

.cardBrandSquare {
	border-style: solid;
	border-width: 1px;
	border-color: blue;
}


body {
	font-family:Tahoma, sans-serif !important;
	font-size: 76%;/* Don't go at a smaller size */
	color:black;
	background: white;
	margin-top:0;
}

h1 {
	margin:0;/* workaround for ie bug (hides the top part of the margin and makes some parts of the screen blink when hovered) */
	padding:0;/* On le met à zero ici et on le met sur le div.h1 qui wrappe le h1...  */
	line-height:1em !important;
	font-size: 1.6em;
	color:black;
}

h2 {
	margin: 1.1em 0em 1.1em 0em;
	font-size: 1.1em;
}

h3 {
	margin: 1.1em 0em 1.1em 0em;
	font-size: 1.4em;
	font-weight: normal;
}

h4 {
	margin: 1.1em 0em 1.1em 0em;
	font-size: 1.2em;
	font-weight: bold;
}

h5 {
	margin: 1.1em 0em 1.1em 0em;
	font-size: 1.0em;
	font-weight: bold;
}
	
h6 {
	margin: 1.2em 0em 1.2em 0em;
	font-size: 0.8em;
	font-weight: bold;
	font-variant:small-caps;
}

input, button, select, textarea {
	font-family:Tahoma, sans-serif !important;
	font-size:1em;
}


img {
	border: 0;
}

ol, ul, li, dl, dt, dd {
	margin-top: 0.2em;
	margin-bottom: 0.1em;
	line-height: normal;
}
li {
	list-style:none;
}

ul {
	padding-left:0;
	margin-left:0; /*IE's...*/
}

p {
	margin: 1.2em 0em 1.2em 0em;
	line-height: normal;
}

li > p {
	margin-top: 0.2em;
}

strong, b {
	font-weight: bold;
}


/* convenient way to set properties in a standard non-inline way */
.nw {
	white-space:nowrap;
}
.widthauto {
	width:auto;
}
table.layoutfixed {
	table-layout: fixed;
}
table.nowrap tbody td, 
table.nowrap tbody th {
	white-space: nowrap;
	overflow:hidden;
}

/* get rid of margins around checkboxes */
table input.checkbox {
	padding:0;
	margin:0;
	width:13px;
	height:13px;
}

/* number values */
input.number, td.number, div.number {
	text-align: right;
}

/* Pour les labels abbrégés */
.abbr {
	white-space:nowrap;
	cursor:help;
}

/* tables */
/*
1 -- si on déclare "table-layout: fixed" (pour IE) :
- Les "width" spécifiés dans les css ne sont pas pris en compte.
Il faut alors les mettre manuellement avec les attributes html width="valeur";
- si aucun attribut width n'est spécifié, les colonnes sont alors toutes 
dessinés de même égale (largeur/nbCols), et l'overflow de chaque colonne est 
automatiquement hidden. Par contre ça n'enlève pas le wrap vertical des chaînes 
trop longues
- Attention l'algo supprime aussi les padding right des TD apparemment...
*/
table.fixed {
	table-layout: fixed !important;
}

/* forms */
form {
  display:block;
  margin:0;
  padding:0;
}
form * {
	autocomplete:off;
}


/* Anchors */
a, a:link {
	text-decoration:underline;
	color:blue;
}
a:hover {
	text-decoration:none;
}
/* Resets generic effects applied to anchors elsewhere */
a.nodec {
	margin:0;
	padding:0;
	border-style:none;
	text-decoration:none;
}
/* Pour que certains liens paraissent "disabled" */
a.disabled, a.disabled:visited {
	color:graytext;
	text-decoration:underline;
	cursor:default;
}

/* inline code, code blocks, samples, keyboard */
div.prewrap {
	margin:1.2em 0 2em;
	border:1px solid #999;
	background:#ffe;
	width:100%;
}
pre, code {
	font-size:1.1em;
	color:black;
}
/* Pour IE */
* html pre, * html pre code {
	font-size:1.0em;
}
pre {
	overflow:auto;
	margin:0;
}
/* Pour IE */
* html pre {
	width:100%;
	overflow-x:scroll;
	overflow-y:scroll;
	padding:1em 0em;
}

/* infobulles */
/* <div class="overlib">Champ : <strong>Valeur</strong></div> */
.overlib {
	background-color: infobackground;
	color: infotext;
	font:11px tahoma, sans-serif;
	padding:2px 2px;
	border:1px solid black;
}

.clearer {
	clear: both;
	line-height: 0;
	height: 1%;
	font-size:0;
}

.error {
	color: red;
}



input, select {
	font-size:100%;
}

input.error, select.error {
	color:black;
	background-color:#fdd;
}
input.submit {
	font-weight:bold;
}

input[type=radio] {
	vertical-align: middle;/* std */
}
input.radio {
	vertical-align: middle;/* ie */
}
input[type=radio]+label {
	vertical-align: middle;/* std */
}

input[type=checkbox] {
	vertical-align: middle;
}
input.checkbox {
	vertical-align: middle;
}

input[type=file] {
	/* TODO */
}
input.file {
	/* TODO */
}

label {
	cursor:pointer;
}

label.intext {
	border-bottom:1px solid #999;
}
label.intext:hover {
	color:#333;
	border-bottom-color:#000;
}
label.required {
	padding-left:8px;
	background:transparent url('img/required.label.flag.gif') 0 .25em no-repeat;
}
label.disabled {
	cursor:default;
}
input.readonly {
	color:graytext;
	cursor: default;
}
input[readonly] {
	background: buttonface;
	color:graytext;
}

/* fields as plain values */
div.fieldvalue {
	border:1px solid #eee;
	border-color:#666 #efefef #efefef #666;
	padding:0 2px;
	background-color: #dedede;
	line-height:1.4em;
}


legend {
	font-weight:bold;
}





/* -------------------------------------------------------------------------- */
/* Bannière d'erreurs */
/* -------------------------------------------------------------------------- */
#pagemessages {
	margin:.5em 0 .5em;
	padding:.5em;
	border:1px solid #bbb;
	background: #ffe;
}
#pagemessages p {
	margin:0;
	padding-left:21px;
	line-height:16px;
	color:black;
}
#pagemessages p.error {
	background:transparent url('img/exclamation.gif') 0% 0% no-repeat scroll;
}
#pagemessages p.info {
	background:transparent url('img/information.gif') 0% 0% no-repeat scroll;
}
#pagemessages p.warn {
	background:transparent url('img/warn.gif') 0% 0% no-repeat scroll;
}
#pagemessages p.success {
	background:transparent url('img/accept.gif') 0% 0% no-repeat scroll;
}
#pagemessages p.confirm {
	background:transparent url('img/aide.gif') 0% 0% no-repeat scroll;
}
#pagemessages p.rouge {
	background:transparent url('img/stop.png') 0% 0% no-repeat scroll;
}
#pagemessages p.orange {
	background:transparent url('img/rond_orange.png') 0% 0% no-repeat scroll;
}

div#container {
	width:800px;
	margin:0 auto 1em;
}

div#middle{
	clear : both;
	margin-top : 1em;
}
div#top {
        position:relative;       
        width : 100%;
        margin-top : 1em;	
}

div#top h1 {		
	font-size: 1.2em;
	color:#aaa;
	font-weight: bold;
	width : 60%;
	margin-top : 0;
}

div#top h1 img{	
	float : left;
	margin-right : 20px;
	margin-left : 0px;
}

div#remoteuser{
	text-align : right;
	float : right;
}

div#remoteuser p {
	margin : 0;
}

table.data {
	background: #efefef;
	border:1px solid #ccc;
	width: 100%;
}
table.data th {
	width: 18%;
	font-weight: normal;
	text-align: right;
}
table.data th, table.data input {
	line-height: 1.5em;
}




fieldset {
	margin:.5em 0;
	padding:auto 0 .5em;
	background: #efefef;
	border:1px solid #ccc;
	position: relative;
}	
fieldset legend {
	margin:0 0 0 .5em;
}


table.form {
	width: 100%;
	border-spacing : 0;  /* équivalent à cellspacing="0" */
	border-collapse : collapse;
}

table.form th {
	width: 20%;
	text-align:right;
	font-weight: normal;
	padding-right: .5em;
}
table.form th label {
	white-space:nowrap;
}
table.form td, table.form th {
	line-height: 1.8em;
}


table.report {
	width:100%;
	background: white;
}
table.report th {
	text-align: center;
	font-weight: bold;
}
table.report thead th {
	border-top:none;
}
table.report th, table.report td {
	border:1px solid #efefef;
	text-align: center;
	padding: 0 .5em;
	line-height: 1.3em;
}
table.report td.number {
	text-align: right;
}

#buttons {
	margin-top:.5em;
}
#buttons table {
	width: 100%;
}
#buttons td.left {
	margin-right:.5em;
}
#buttons td.right {
	text-align: right;
}
#buttons td.right input {
	margin-left:.5em;
}
#buttons .cancel input {
	margin-right:1em;
}
#defaultSubmit{
	font-weight: bold;
}

span.fieldhelp {
	font-size:.8em;
	padding-left: .5em;
}



table.ticket {
	background: #ddd;
	margin: 1em 1em 0;
	width: auto !important;
	table-layout: auto;
}

ul.linkList {
	background: #efefef;
	border: 1px solid #ccc;
	margin:0;
	padding:0 1em;
	padding-top:1em;
}
ul.linkList li {
	margin:0;
	padding-bottom:1em;
}
.ajaxWait {
	visibility: hidden;
}

/* on a besoin de faire flotter un texte d'explication a droite du tableau dans la page passwordexpired */
table.passwordExpired {
	/*todo mettre un id au niveau du body de la page plutot */
	width:auto;
}
table.form.passwordExpired th {
	width: 50%;
	text-align:right;
	font-weight: normal;
	padding-right: .5em;
}
table.form.passwordExpired th label {
	white-space:nowrap;
}
table.form.passwordExpired td, table.form.passwordExpired th {
	line-height: 1.8em;
}
	
#owasphelper {
	float:right;
	width:40%;
	border:1px solid #ddd;
	background-color:#fefefe;
	margin-left:1em;
	padding:.5em;
	color:#666;
}
#owasphelper p {
	margin:0;
	padding:0 0 .5em 0;
	
}
#owasphelper ul, #owasphelper ul li {
	list-style: none;
	padding:0;
	margin:0;
}

#owasphelper ul li.true {
	background-image: url('img/bullet_green.png');
}

.owasphelperKo {
	line-height: 1.5em;
	background: url('img/bullet_red.gif') no-repeat 0% 100%
		scroll;
	text-indent : 20px;
	padding-left: 1.5em;
}

.owasphelperOk {
	line-height: 1.5em;
	background: url('img/bullet_green.gif') no-repeat 0% 100%
		scroll;
	text-indent : 20px;
	padding-left: 1.5em;
}

.disabled {
	color:#999;
}


/* popup de déconnexion auto */

#lv{
	position:fixed;
	top:0;
	left:0;
	width:100%;
	height:100%;
	background:rgba(0,0,0,0.5);
}


#lv h2 {
	color:red;
	margin:0;
	padding:0;
}
#lv p {
	background-color: #ffe;
	padding:1em 0;
	margin:0;
}
#lv input#continueSession {
	background-color: green;
	color:white;
	font-weight: bold;
	margin-top:1em;
	cursor:pointer;
}

#sessionPopup{
	background:white;
	padding:20px;
	width:300px;
	margin:200px auto;
	text-align:center;
}


.formCheckBox {
	margin-left: 0px;
}

/* ecrans de recuperation du mot de passe */
div#etape {
	margin: 5px 0;
	padding: 0;
	list-style: none;
	text-align: left;
	background: #EFEFEF;
	border: 1px solid #CCCCCC;
}

div#etape ul {
	margin: 0;
	padding: .2em;
}

div#etape li {
	margin: 0;
	padding: 0;
	display: inline;
}

div#etape li.currentStep {
	color: #000066;
	font-weight: bold;
}

td.formFieldDisplayText {
	Zfont-size: 10pt;
	text-align: left;
	vertical-align: middle;
	background-color: transparent;
	color: #444444;
	margin: 0px;
	padding: 0px;
	font-weight: bold;
	padding-left: 0px;
}

.example {
	font-size: 8pt;
	text-align: left;
	vertical-align: bottom;
	background-color: transparent;
	color: #808080;
	font-weight: normal;
	margin: 0px;
	padding: 0px;
	margin-bottom: 2px;
	margin-top: -6px;
}

.legend {
	vertical-align: middle;
	padding: 0em;
	margin: 0em;
	color: #808080;
	text-align: left;
	font-weight: bold;
}

.backGroundHomologation {
	background-color: #FDD131;
	text-align: center;
}

.backGroundHomologation .header1 {
	font-size: 26px;
	color: white;
}

.backGroundHomologation .header2 {
	font-size: 14px;
	color: white;
	
}


